import { RouterType, RouterTypeRow } from '@/types'
import React from 'react'

const tabLeftArr: RouterType = [
  {
    id: 1,
    name: '工作台',
    son: [
      {
        id: 110,
        name: '数据统计',
        path: '/',
        Com: React.lazy(() => import('../A_workbench/A1dataSta'))
      },
      {
        id: 120,
        name: '业务中心',
        path: '/business',
        Com: React.lazy(() => import('../A_workbench/A2business'))
      },
      {
        id: 130,
        name: '流程管理',
        path: '/process',
        Com: React.lazy(() => import('../A_workbench/A3flow'))
      },
      // 待完善
      {
        id: 9801,
        name: '凭证管理',
        path: '/voucher',
        Com: React.lazy(() => import('../A_workbench/A4voucher'))
      }
    ]
  },
  {
    id: 8,
    name: '藏品查询',
    son: [
      // 待完善
      {
        id: 9802,
        name: '藏品信息',
        path: '/antiqueSearch',
        Com: React.lazy(() => import('../A2_query/A22antique'))
      },
      {
        id: 9803,
        name: '多媒体信息',
        path: '/mediaSearch',
        Com: React.lazy(() => import('../A2_query/A23media'))
      }
    ]
  },
  // 待完善
  {
    id: 9,
    name: '台账管理',
    son: [
      {
        id: 9801,
        name: '藏品总账',
        path: '/machineReg',
        Com: React.lazy(() => import('../A3_ledger/C1ledger'))
      },
      {
        id: 9802,
        name: '藏品分账',
        path: '/Routing',
        Com: React.lazy(() => import('../A3_ledger/A32Routing'))
      }
    ]
  },
  {
    id: 3,
    name: '藏品管理',
    son: [
      // 待完善
      {
        id: 9800,
        name: '藏品登记',
        path: '/register',
        Com: React.lazy(() => import('../C_goodsManage/C1register'))
      },

      {
        id: 480,
        name: '藏品注销',
        path: '/cancel',
        Com: React.lazy(() => import('../D_storeManage/D8cancel'))
      },
      {
        id: 320,
        name: '藏品附件',
        path: '/files',
        Com: React.lazy(() => import('../C_goodsManage/C2files'))
      },
      // 待完善
      {
        id: 9801,
        name: '资源使用',
        path: '/wealth',
        Com: React.lazy(() => import('../C_goodsManage/C21wealth'))
      },
      // 待完善
      {
        id: 9802,
        name: '藏品编辑',
        path: '/goodEdit',
        Com: React.lazy(() => import('../C_goodsManage/C22goodEdit'))
      },
      {
        id: 330,
        name: '藏品关注',
        path: '/focus',
        Com: React.lazy(() => import('../C_goodsManage/C3focus'))
      }
    ]
  },
  {
    id: 2,
    name: '入藏管理',
    son: [
      {
        id: 210,
        name: '藏品征集',
        path: '/collect',
        Com: React.lazy(() => import('../B_enterTibet/B1collect'))
      },
      {
        id: 220,
        name: '藏品鉴定',
        path: '/identify',
        Com: React.lazy(() => import('../B_enterTibet/B2identify'))
      },
      {
        id: 230,
        name: '藏品入馆',
        path: '/entering',
        Com: React.lazy(() => import('../B_enterTibet/B3entering'))
      },
      {
        id: 240,
        name: '藏品入藏',
        path: '/enterTibet',
        Com: React.lazy(() => import('../B_enterTibet/B4enterTibet'))
      }
    ]
  },

  {
    id: 4,
    name: '库房管理',
    son: [
      {
        id: 410,
        name: '分库管理',
        path: '/storage',
        Com: React.lazy(() => import('../D_storeManage/D1storage'))
      },
      {
        id: 420,
        name: '库房设置',
        path: '/storSet',
        Com: React.lazy(() => import('../D_storeManage/D2storSet'))
      },
      {
        id: 430,
        name: '人员出入',
        path: '/staff',
        Com: React.lazy(() => import('../D_storeManage/D3staff'))
      },
      {
        id: 440,
        name: '藏品入库',
        path: '/impStor',
        Com: React.lazy(() => import('../D_storeManage/D4impStor'))
      },
      {
        id: 450,
        name: '藏品移库',
        path: '/moveStor',
        Com: React.lazy(() => import('../D_storeManage/D5moveStor'))
      },
      {
        id: 460,
        name: '藏品出库',
        path: '/putsStor',
        Com: React.lazy(() => import('../D_storeManage/D6putsStor'))
      },
      {
        id: 470,
        name: '藏品盘点',
        path: '/check',
        Com: React.lazy(() => import('../D_storeManage/D7check'))
      }
    ]
  },
  {
    id: 5,
    name: '藏品维护',
    son: [
      {
        id: 510,
        name: '事故登记',
        path: '/accident',
        Com: React.lazy(() => import('../E_goodsStorage/E1accident'))
      },
      // 甲方说先隐藏
      // {
      //   id: 520,
      //   name: '残损登记',
      //   path: '/damaged',
      //   Com: React.lazy(() => import('../E_goodsStorage/E2damaged'))
      // },
      {
        id: 530,
        name: '现状登记',
        path: '/actuality',
        Com: React.lazy(() => import('../E_goodsStorage/E3actuality'))
      },
      {
        id: 540,
        name: '文物修复',
        path: '/repair',
        Com: React.lazy(() => import('../E_goodsStorage/E4repair'))
      }
    ]
  },
  // 待完善-借展管理
  {
    id: 6,
    name: '展品管理',
    son: [
      {
        // 待完善
        id: 9800,
        name: '借展管理',
        path: '/exhibition',
        Com: React.lazy(() => import('../F_exhibition/F1exhibition'))
      }
    ]
  },
  {
    id: 7,
    name: '系统管理',
    son: [
      {
        id: 710,
        name: '数据字典',
        path: '/dict',
        Com: React.lazy(() => import('../Z_system/Z1dict'))
      },
      {
        id: 720,
        name: '编号规则',
        path: '/numRule',
        Com: React.lazy(() => import('../Z_system/Z2numRule'))
      },
      {
        id: 730,
        name: '流程设置',
        path: '/flowSet',
        Com: React.lazy(() => import('../Z_system/Z3flowSet'))
      },

      {
        id: 740,
        name: '组织管理',
        path: '/organization',
        Com: React.lazy(() => import('../Z_system/Z4organization'))
      },
      {
        id: 9900,
        name: '角色管理',
        path: '/role',
        Com: React.lazy(() => import('../Z_system/Z5role'))
      },
      {
        id: 760,
        name: '用户管理',
        path: '/user',
        Com: React.lazy(() => import('../Z_system/Z6user'))
      },

      {
        id: 770,
        name: '系统日志',
        path: '/log',
        Com: React.lazy(() => import('../Z_system/Z7log'))
      },
      // 不需要 高亮的 详情页
      {
        id: 9901,
        name: '藏品详情',
        path: '/goodsLook/:id',
        pathLast: '/goodsLook',
        Com: React.lazy(() => import('../Y_goodsDetails/Y2look'))
      }
    ]
  }
]

export default tabLeftArr

// 里面的页面，不是左边的tab栏
export const routerSon: RouterTypeRow[] = [
  {
    id: 1,
    name: '库房设置-查看',
    path: '/storSet_look/:id',
    Com: React.lazy(() => import('../D_storeManage/D2storSet/D2look'))
  },
  {
    id: 2,
    name: '库房设置-库位设置',
    path: '/storSet_site/:id/:title',
    Com: React.lazy(() => import('../D_storeManage/D2storSet/D2site'))
  },

  // -------------入库-----------------
  {
    id: 7,
    name: '入库-新增/编辑/审批/查看',
    path: '/impStor_edit/:key/:id',
    Com: React.lazy(() => import('../D_storeManage/D4impStor/D4edit'))
  },
  // -------------出库-----------------
  {
    id: 8,
    name: '出库-新增/编辑/审批/查看',
    path: '/putsStor_edit/:key/:id',
    Com: React.lazy(() => import('../D_storeManage/D6putsStor/D6edit'))
  },

  // ------------藏品征集------------------
  {
    id: 10,
    name: '藏品征集-新增/编辑/审批/查看',
    path: '/collect_edit/:key/:id',
    Com: React.lazy(() => import('../B_enterTibet/B1collect/B1edit'))
  },

  // ------------事故登记------------------
  {
    id: 13,
    name: '事故登记-新增/编辑/审批/查看',
    path: '/accident_edit/:key/:id',
    Com: React.lazy(() => import('../E_goodsStorage/E1accident/E1edit'))
  },
  // ------------残损登记 甲方说先隐藏------------------
  // {
  //   id: 11,
  //   name: '残损登记-新增/编辑/审批/查看',
  //   path: '/damaged_edit/:key/:id',
  //   Com: React.lazy(() => import('../E_goodsStorage/E2damaged/E2edit'))
  // },

  // ------------现状登记------------------
  {
    id: 12,
    name: '现状登记-新增/编辑/审批/查看',
    path: '/actuality_edit/:key/:id',
    Com: React.lazy(() => import('../E_goodsStorage/E3actuality/E3edit'))
  },
  // ------------文物修复------------------
  {
    id: 14,
    name: '文物修复-新增/编辑/审批/查看',
    path: '/repair_edit/:key/:id',
    Com: React.lazy(() => import('../E_goodsStorage/E4repair/E4edit'))
  },
  // -------------入库-----------------
  {
    id: 15,
    name: '借展管理-新增/编辑/审批/查看',
    path: '/exhibition_edit/:key/:id',
    Com: React.lazy(() => import('../F_exhibition/F1exhibition/F1edit'))
  },
  {
    id: 16,
    name: '藏品鉴定-新增/编辑/审批/查看',
    path: '/identify_edit/:key/:id',
    Com: React.lazy(() => import('../B_enterTibet/B2identify/B2edit'))
  },
  {
    id: 17,
    name: '藏品登记-审批/查看',
    path: '/register_edit/:key/:id',
    Com: React.lazy(() => import('../C_goodsManage/C1register/C1look'))
  },
  {
    id: 18,
    name: '藏品编辑-审批/查看',
    path: '/goodEdit_edit/:key/:id',
    Com: React.lazy(() => import('../C_goodsManage/C22goodEdit/C22look'))
  },
  {
    id: 19,
    name: '藏品注销-新增、编辑、审批/查看',
    path: '/cancel_edit/:key/:id',
    Com: React.lazy(() => import('../D_storeManage/D8cancel/D8edit'))
  },
  // -------------资源使用-----------------
  {
    id: 20,
    name: '资源使用-新增/编辑/审批/查看',
    path: '/wealth_edit/:key/:id',
    Com: React.lazy(() => import('../C_goodsManage/C21wealth/C21edit'))
  }
]
